Package ru.bitel.bgbilling.modules.email.server.bean

# Class EmailServiceActivator

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.email.server.bean.EmailServiceActivator

All Implemented Interfaces:
  `AutoCloseable`

Direct Known Subclasses:
  `JDBCEmailServiceActivator`, `LdapEmailServiceActivator`

public abstract class EmailServiceActivator extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements AutoCloseable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailServiceActivator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cancel(Account account)`
  `protected abstract void`
  `cancelImpl(Account account)`
  `void`
  `close()`
  `void`
  `create(Account account)`
  `protected abstract void`
  `createImpl(Account account)`
  `void`
  `modify(Account account)`
  `protected abstract void`
  `modifyImpl(Account account)`
  `void`
  `removeDomain(Domain domain)`
  `protected abstract void`
  `removeDomainImpl(Domain domain)`
  `void`
  `updateDomain(Domain domain)`
  `protected abstract void`
  `updateDomainImpl(Domain domain)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmailServiceActivator

    public EmailServiceActivator()

- ## Method Details

  - ### create

    public void create(Account account) throws Exception
    Throws:
      `Exception`

  - ### cancel

    public void cancel(Account account) throws Exception
    Throws:
      `Exception`

  - ### modify

    public void modify(Account account) throws Exception
    Throws:
      `Exception`

  - ### createImpl

    protected abstract void createImpl(Account account) throws Exception
    Throws:
      `Exception`

  - ### cancelImpl

    protected abstract void cancelImpl(Account account) throws Exception
    Throws:
      `Exception`

  - ### modifyImpl

    protected abstract void modifyImpl(Account account) throws Exception
    Throws:
      `Exception`

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`

  - ### updateDomain

    public void updateDomain(Domain domain) throws Exception
    Throws:
      `Exception`

  - ### removeDomain

    public void removeDomain(Domain domain) throws Exception
    Throws:
      `Exception`

  - ### updateDomainImpl

    protected abstract void updateDomainImpl(Domain domain) throws Exception
    Throws:
      `Exception`

  - ### removeDomainImpl

    protected abstract void removeDomainImpl(Domain domain) throws Exception
    Throws:
      `Exception`